import React from 'react';
import Placeholder from './Placeholder';
import Box from './Box';
import Stack from './Stack';
import Column from './Column';
import Columns from './Columns';
var Container = function (_a) {
    var children = _a.children;
    return (React.createElement(Box, { bgcolor: '#ddd' }, children));
};
var docs = {
    name: 'Column',
    examples: [
        {
            description: 'standard columns',
            Container: Container,
            Example: function () { return (React.createElement(Columns, { space: 2 },
                React.createElement(Column, null,
                    React.createElement(Placeholder, { height: 60 })),
                React.createElement(Column, null,
                    React.createElement(Placeholder, { height: 60 })),
                React.createElement(Column, null,
                    React.createElement(Placeholder, { height: 60 })))); },
        },
        {
            description: 'available widths',
            Container: Container,
            Example: function () { return (React.createElement(Stack, { space: 2 },
                React.createElement(Columns, { space: 2 },
                    React.createElement(Column, { width: 'content' },
                        React.createElement(Placeholder, { height: 60, label: 'content' })),
                    React.createElement(Column, null,
                        React.createElement(Placeholder, { height: 60, label: 'Fluid' }))),
                React.createElement(Columns, { space: 2 },
                    React.createElement(Column, { width: '1/2' },
                        React.createElement(Placeholder, { height: 60, label: '1/2' })),
                    React.createElement(Column, null,
                        React.createElement(Placeholder, { height: 60, label: 'Fluid' }))),
                React.createElement(Columns, { space: 2 },
                    React.createElement(Column, { width: '1/3' },
                        React.createElement(Placeholder, { height: 60, label: '1/3' })),
                    React.createElement(Column, null,
                        React.createElement(Placeholder, { height: 60, label: 'Fluid' }))),
                React.createElement(Columns, { space: 2 },
                    React.createElement(Column, { width: '2/3' },
                        React.createElement(Placeholder, { height: 60, label: '2/3' })),
                    React.createElement(Column, null,
                        React.createElement(Placeholder, { height: 60, label: 'Fluid' }))),
                React.createElement(Columns, { space: 2 },
                    React.createElement(Column, { width: '1/4' },
                        React.createElement(Placeholder, { height: 60, label: '1/4' })),
                    React.createElement(Column, null,
                        React.createElement(Placeholder, { height: 60, label: 'Fluid' }))),
                React.createElement(Columns, { space: 2 },
                    React.createElement(Column, { width: '3/4' },
                        React.createElement(Placeholder, { height: 60, label: '3/4' })),
                    React.createElement(Column, null,
                        React.createElement(Placeholder, { height: 60, label: 'Fluid' }))),
                React.createElement(Columns, { space: 2 },
                    React.createElement(Column, { width: '1/5' },
                        React.createElement(Placeholder, { height: 60, label: '1/5' })),
                    React.createElement(Column, null,
                        React.createElement(Placeholder, { height: 60, label: 'Fluid' }))),
                React.createElement(Columns, { space: 2 },
                    React.createElement(Column, { width: '2/5' },
                        React.createElement(Placeholder, { height: 60, label: '2/5' })),
                    React.createElement(Column, null,
                        React.createElement(Placeholder, { height: 60, label: 'Fluid' }))),
                React.createElement(Columns, { space: 2 },
                    React.createElement(Column, { width: '3/5' },
                        React.createElement(Placeholder, { height: 60, label: '3/5' })),
                    React.createElement(Column, null,
                        React.createElement(Placeholder, { height: 60, label: 'Fluid' }))),
                React.createElement(Columns, { space: 2 },
                    React.createElement(Column, { width: '4/5' },
                        React.createElement(Placeholder, { height: 60, label: '4/5' })),
                    React.createElement(Column, null,
                        React.createElement(Placeholder, { height: 60, label: 'Fluid' }))))); },
        },
    ],
};
export default docs;
