import React from 'react';
import Box from './Box';
import Stack from './Stack';
import Hidden from './Hidden';
import Text from './Text';
var Container = function (_a) {
    var children = _a.children;
    return (React.createElement(Box, { bgcolor: '#ddd' }, children));
};
var docs = {
    name: 'Hidden',
    examples: [
        {
            description: 'Hidden below md',
            Container: Container,
            Example: function () { return (React.createElement(Stack, { space: 2 },
                React.createElement(Text, { size: 'small' }, "The following line is hidden below md:"),
                React.createElement(Hidden, { below: 'md' },
                    React.createElement(Text, { size: 'small' }, "Hidden below md.")))); },
        },
        {
            description: 'Hidden below lg',
            Container: Container,
            Example: function () { return (React.createElement(Stack, { space: 2 },
                React.createElement(Text, { size: 'small' }, "The following line is hidden below lg:"),
                React.createElement(Hidden, { below: 'lg' },
                    React.createElement(Text, { size: 'small' }, "Hidden below lg.")))); },
        },
        {
            description: 'Hidden above sm',
            Container: Container,
            Example: function () { return (React.createElement(Stack, { space: 2 },
                React.createElement(Text, { size: 'small' }, "The following line is hidden above sm:"),
                React.createElement(Hidden, { above: 'sm' },
                    React.createElement(Text, { size: 'small' }, "Hidden above sm.")))); },
        },
        {
            description: 'Hidden above md',
            Container: Container,
            Example: function () { return (React.createElement(Stack, { space: 2 },
                React.createElement(Text, { size: 'small' }, "The following line is hidden above md:"),
                React.createElement(Hidden, { above: 'md' },
                    React.createElement(Text, { size: 'small' }, "Hidden above md.")))); },
        },
        {
            description: 'Hidden below md (inline)',
            Container: Container,
            Example: function () { return (React.createElement(Text, { size: 'small' },
                "The following text is hidden below md:",
                ' ',
                React.createElement(Hidden, { below: 'md', inline: true }, "Hidden below md."))); },
        },
        {
            description: 'Hidden below lg (inline)',
            Container: Container,
            Example: function () { return (React.createElement(Text, { size: 'small' },
                "The following text is hidden below lg:",
                ' ',
                React.createElement(Hidden, { below: 'lg', inline: true }, "Hidden below lg."))); },
        },
        {
            description: 'Hidden above sm (inline)',
            Container: Container,
            Example: function () { return (React.createElement(Text, { size: 'small' },
                "The following text is hidden above sm:",
                ' ',
                React.createElement(Hidden, { above: 'sm', inline: true }, "Hidden above sm."))); },
        },
        {
            description: 'Hidden above md (inline)',
            Container: Container,
            Example: function () { return (React.createElement(Text, { size: 'small' },
                "The following text is hidden above md:",
                ' ',
                React.createElement(Hidden, { above: 'md', inline: true }, "Hidden above md."))); },
        },
    ],
};
export default docs;
