import React from 'react';
import Box from './Box';
import Inline from './Inline';
import Placeholder from './Placeholder';
var Container = function (_a) {
    var children = _a.children;
    return (React.createElement(Box, { bgcolor: '#ddd', maxWidth: 240 }, children));
};
var docs = {
    name: 'Inline',
    examples: [
        {
            description: 'Basic example',
            Container: Container,
            Example: function () { return (React.createElement(Inline, { space: 1 },
                React.createElement(Placeholder, { height: 48, width: 48 }),
                React.createElement(Placeholder, { height: 48, width: 48 }),
                React.createElement(Placeholder, { height: 48, width: 48 }),
                React.createElement(Placeholder, { height: 48, width: 48 }),
                React.createElement(Placeholder, { height: 48, width: 48 }),
                React.createElement(Placeholder, { height: 48, width: 48 }),
                React.createElement(Placeholder, { height: 48, width: 48 }),
                React.createElement(Placeholder, { height: 48, width: 48 }),
                React.createElement(Placeholder, { height: 48, width: 48 }),
                React.createElement(Placeholder, { height: 48, width: 48 }))); },
        },
        {
            description: 'Responsive space',
            Container: Container,
            Example: function () { return (React.createElement(Inline, { space: [1, 2, 3] },
                React.createElement(Placeholder, { height: 48, width: 48 }),
                React.createElement(Placeholder, { height: 48, width: 48 }),
                React.createElement(Placeholder, { height: 48, width: 48 }),
                React.createElement(Placeholder, { height: 48, width: 48 }),
                React.createElement(Placeholder, { height: 48, width: 48 }),
                React.createElement(Placeholder, { height: 48, width: 48 }),
                React.createElement(Placeholder, { height: 48, width: 48 }),
                React.createElement(Placeholder, { height: 48, width: 48 }),
                React.createElement(Placeholder, { height: 48, width: 48 }),
                React.createElement(Placeholder, { height: 48, width: 48 }))); },
        },
        {
            description: 'Align horizontally to center',
            Container: Container,
            Example: function () { return (React.createElement(Inline, { align: 'center', space: 1 },
                React.createElement(Placeholder, { height: 48, width: 48 }),
                React.createElement(Placeholder, { height: 48, width: 48 }),
                React.createElement(Placeholder, { height: 48, width: 48 }),
                React.createElement(Placeholder, { height: 48, width: 48 }),
                React.createElement(Placeholder, { height: 48, width: 48 }),
                React.createElement(Placeholder, { height: 48, width: 48 }),
                React.createElement(Placeholder, { height: 48, width: 48 }),
                React.createElement(Placeholder, { height: 48, width: 48 }),
                React.createElement(Placeholder, { height: 48, width: 48 }),
                React.createElement(Placeholder, { height: 48, width: 48 }))); },
        },
        {
            description: 'Align horizontally to right',
            Container: Container,
            Example: function () { return (React.createElement(Inline, { align: 'right', space: 1 },
                React.createElement(Placeholder, { height: 48, width: 48 }),
                React.createElement(Placeholder, { height: 48, width: 48 }),
                React.createElement(Placeholder, { height: 48, width: 48 }),
                React.createElement(Placeholder, { height: 48, width: 48 }),
                React.createElement(Placeholder, { height: 48, width: 48 }),
                React.createElement(Placeholder, { height: 48, width: 48 }),
                React.createElement(Placeholder, { height: 48, width: 48 }),
                React.createElement(Placeholder, { height: 48, width: 48 }),
                React.createElement(Placeholder, { height: 48, width: 48 }),
                React.createElement(Placeholder, { height: 48, width: 48 }))); },
        },
        {
            description: 'Responsive alignment',
            Container: Container,
            Example: function () { return (React.createElement(Inline, { align: ['left', 'right', 'center'], space: 1 },
                React.createElement(Placeholder, { height: 48, width: 48 }),
                React.createElement(Placeholder, { height: 48, width: 48 }),
                React.createElement(Placeholder, { height: 48, width: 48 }),
                React.createElement(Placeholder, { height: 48, width: 48 }),
                React.createElement(Placeholder, { height: 48, width: 48 }),
                React.createElement(Placeholder, { height: 48, width: 48 }),
                React.createElement(Placeholder, { height: 48, width: 48 }),
                React.createElement(Placeholder, { height: 48, width: 48 }),
                React.createElement(Placeholder, { height: 48, width: 48 }),
                React.createElement(Placeholder, { height: 48, width: 48 }))); },
        },
        {
            description: 'Align vertically',
            Container: Container,
            Example: function () { return (React.createElement(Inline, { alignY: 'center', space: 1 },
                React.createElement(Placeholder, { height: 40, width: 48 }),
                React.createElement(Placeholder, { height: 100, width: 48 }),
                React.createElement(Placeholder, { height: 60, width: 48 }))); },
        },
        {
            description: 'Collapse below md',
            Container: Container,
            Example: function () { return (React.createElement(Inline, { collapseBelow: 'md', space: 1 },
                React.createElement(Placeholder, { height: 48, width: 48 }),
                React.createElement(Placeholder, { height: 48, width: 48 }),
                React.createElement(Placeholder, { height: 48, width: 48 }),
                React.createElement(Placeholder, { height: 48, width: 48 }),
                React.createElement(Placeholder, { height: 48, width: 48 }),
                React.createElement(Placeholder, { height: 48, width: 48 }))); },
        },
        {
            description: 'Collapse below lg',
            Container: Container,
            Example: function () { return (React.createElement(Inline, { collapseBelow: 'lg', space: 1 },
                React.createElement(Placeholder, { height: 48, width: 48 }),
                React.createElement(Placeholder, { height: 48, width: 48 }),
                React.createElement(Placeholder, { height: 48, width: 48 }),
                React.createElement(Placeholder, { height: 48, width: 48 }),
                React.createElement(Placeholder, { height: 48, width: 48 }),
                React.createElement(Placeholder, { height: 48, width: 48 }))); },
        },
        {
            description: 'Collapse below md with responsive space',
            Container: Container,
            Example: function () { return (React.createElement(Inline, { collapseBelow: 'md', space: [1, 2, 3] },
                React.createElement(Placeholder, { height: 48, width: 48 }),
                React.createElement(Placeholder, { height: 48, width: 48 }),
                React.createElement(Placeholder, { height: 48, width: 48 }),
                React.createElement(Placeholder, { height: 48, width: 48 }),
                React.createElement(Placeholder, { height: 48, width: 48 }),
                React.createElement(Placeholder, { height: 48, width: 48 }))); },
        },
        {
            description: 'Collapse below md with alignment',
            Container: Container,
            Example: function () { return (React.createElement(Inline, { collapseBelow: 'md', align: 'center', space: 1 },
                React.createElement(Placeholder, { height: 48, width: 48 }),
                React.createElement(Placeholder, { height: 48, width: 48 }),
                React.createElement(Placeholder, { height: 48, width: 48 }),
                React.createElement(Placeholder, { height: 48, width: 48 }),
                React.createElement(Placeholder, { height: 48, width: 48 }),
                React.createElement(Placeholder, { height: 48, width: 48 }))); },
        },
    ],
};
export default docs;
