var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
import Router from 'next/router';
import React, { useState, useEffect } from 'react';
import Head from 'next/head';
import { useTheme, ThemeProvider } from '@material-ui/core/styles';
import CssBaseline from '@material-ui/core/CssBaseline';
import theme from '../theme';
import { makeStyles } from '@material-ui/core/styles';
import Box from '../components/Box';
import Link from 'next/link';
import MenuIcon from '@material-ui/icons/Menu';
import CloseIcon from '@material-ui/icons/Close';
import Navigation from '../components/demo/Navigation';
var menuWidth = 120;
var containerMaxWidth = 1280;
var logoWidthAndHeight = 40;
var useStyles = makeStyles(function (theme) {
    var _a, _b, _c;
    return ({
        navigation: (_a = {},
            _a[theme.breakpoints.down('xs')] = {
                opacity: function (showMobileMenu) { return (showMobileMenu ? 1 : 0); },
                left: 0,
            },
            _a),
        content: (_b = {},
            _b[theme.breakpoints.down('xs')] = {
                opacity: function (showMobileMenu) { return (showMobileMenu ? 0 : 1); },
                pointerEvents: function (showMobileMenu) { return (showMobileMenu ? 'none' : 'auto'); },
            },
            _b),
        '@global': {
            body: (_c = {},
                _c[theme.breakpoints.down('xs')] = {
                    overflow: function (showMobileMenu) { return (showMobileMenu ? 'hidden' : 'auto'); },
                },
                _c),
        },
    });
});
var Layout = function (_a) {
    var children = _a.children;
    var theme = useTheme();
    var _b = __read(useState(false), 2), showMobileMenu = _b[0], setShowMobileMenu = _b[1];
    var toggleSetShowMobileMenu = function () { return setShowMobileMenu(function (show) { return !show; }); };
    var classes = useStyles(showMobileMenu);
    useEffect(function () {
        var handleRouteChange = function () {
            setShowMobileMenu(false);
        };
        Router.events.on('routeChangeComplete', handleRouteChange);
        return function () { return Router.events.off('routeChangeComplete', handleRouteChange); };
    }, []);
    var headerHeightPx = theme.spacing(6) + logoWidthAndHeight + "px";
    return (React.createElement(React.Fragment, null,
        React.createElement(Box, { position: 'fixed', top: 0, left: 0, right: 0 },
            React.createElement(Box, { display: 'flex', alignItems: 'center', maxWidth: containerMaxWidth, paddingX: 4, paddingTop: 4, paddingBottom: 2, margin: 'auto' },
                React.createElement(Box, { paddingRight: 2, style: { cursor: 'pointer' }, display: ['block', 'none'], onClick: toggleSetShowMobileMenu }, showMobileMenu ? React.createElement(CloseIcon, null) : React.createElement(MenuIcon, null)),
                React.createElement(Link, { href: '/' },
                    React.createElement("a", { style: { lineHeight: 0 } },
                        React.createElement("img", { src: '/logo.png', width: logoWidthAndHeight, height: logoWidthAndHeight }))))),
        React.createElement(Box, { margin: '0 auto', maxWidth: containerMaxWidth },
            React.createElement(Box, { position: 'fixed', top: headerHeightPx, bottom: 0, width: menuWidth, padding: 4, className: classes.navigation },
                React.createElement(Navigation, null)),
            React.createElement(Box, { padding: 4, marginTop: headerHeightPx, marginLeft: [0, menuWidth + "px"], position: 'relative', className: classes.content, bgcolor: 'background.default' }, children))));
};
var App = function (props) {
    var Component = props.Component, pageProps = props.pageProps;
    useEffect(function () {
        var jssStyles = document.querySelector('#jss-server-side');
        if (jssStyles) {
            var parentElement = jssStyles.parentElement;
            parentElement.removeChild(jssStyles);
        }
    }, []);
    return (React.createElement(React.Fragment, null,
        React.createElement(Head, null,
            React.createElement("meta", { name: 'viewport', content: 'minimum-scale=1, initial-scale=1, width=device-width' }),
            React.createElement("title", null, "MUI Primitives")),
        React.createElement(ThemeProvider, { theme: theme },
            React.createElement(CssBaseline, null),
            React.createElement(Layout, null,
                React.createElement(Component, __assign({}, pageProps))))));
};
export default App;
